<?php

/**
 * Date is the component to handle dates
 */
class Date
{
    private static $daysName = array ('monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday');
    private static $periodsName = array ('morning', 'afternoon', 'evening');
	/**
	 * Date::convertITA2USA()
	 * 
	 * @param string $dateITA the date to be converter
	 * @return string the converted date
	 */
	public function convertITA2USA($dateITA)
	{
        
        if(strpos($dateITA, '/') !== false)
            $delimiter = '/';
        elseif(strpos($dateITA, '-') !== false)
            $delimiter = '-';
        elseif(strpos($dateITA, '\\') !== false)
            $delimiter = '\\';
        elseif(strpos($dateITA, '.') !== false)
            $delimiter = '.';
        else
            $delimiter = ' ';
    	$tmp = explode( $delimiter, $dateITA );
    	$tmp = array_reverse( $tmp );
    	return implode( $tmp, '-' );
	}
    
    /**
     * Date::formatTimestamp()
     * 
     * @param string $timestamp
     * @return string the formatted timestamp
     */
    public function formatTimestamp($timestamp)
    {
        if($timestamp === null)
            return null;
    	$tmp = explode( ' ', $timestamp );
        $date = explode('-', $tmp[0]);
    	$date = array_reverse( $date );
    	$tmp[0] = implode( $date, '/' );
    	$tmp = implode( ' ', $tmp );
        return $tmp;
    }
    
    /**
     * Date::getDays()
     * 
     * @return array containing days name
     */
    public function getDays()
    {
        return self::$daysName;
    }
    
    /**
     * Date::getPeriods()
     * 
     * @return array containing name of the periods of the day
     */
    public function getPeriods()
    {
        return self::$periodsName;
    }
}
